List tags on a Party, Opportunity or Case

Get a list of tags for the a specific party, opportunity or case.

GET /api/party/:party-id/tag
GET /api/opportunity/:opportunity-id/tag
GET /api/kase/:case-id/tag

Response

HTTP/1.1 200 OK
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<tags>
  <tag>
    <name>Customer</name>
  </tag>
  <tag>
    <name>VIP</name>
  </tag>
</tags>{
  "tags": {
    "tag": [
      {
        "name": "Customer"
      },
      {
        "name": "VIP"
      }
    ]
  }
}

Show as JSONShow as XML

Add a tag to a Party, Opportunity or Case

Add a tag to a specified party, opportunity or case. The tag-name will need to be URL encoded. If the tag is already present on the Person or Organisation status in the response will be 200 OK, when the tag is added the response will be 201 Created.

POST /api/party/:party-id/tag/:tag-name
POST /api/opportunity/:opportunity-id/tag/:tag-name
POST /api/kase/:case-id/tag/:tag-name

Response

HTTP/1.1 201 Created
Location: https://sample.capsulecrm.com/api/party/1000/tag/new%20tag

Delete a tag from a Party, Opportunity or Case

Delete a tag from a specified party, opportunity or case. The tag-name will need to be URL encoded.

DELETE /api/party/:party-id/tag/:tag-name
DELETE /api/opportunity/:opportunity-id/tag/:tag-name
DELETE /api/kase/:case-id/tag/:tag-name

Response

HTTP/1.1 200 OK